- Events
- diamond finder
- BaseRemoteAddrSocket
- doxygen finetuning

/*
 * Example pipenet scripts
 */

TcpProxy($a, $b, socket) {
  Pipe p1;
  Pipe p2;
  Tcp4ConnectingSocket($a, $b, p1, p2);
  Tcp4Socket(p2, p1, socket);
};

TcpListener listener1(8080, TcpProxy("1.2.3.4", 80));
